# Generated by Django 3.0.10 on 2022-05-31 17:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Przywodcy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('przywodca', models.CharField(max_length=50)),
                ('start_panowania', models.DateField()),
                ('koniec_panowania', models.DateField()),
                ('lata_panowania', models.IntegerField()),
                ('zdjecie', models.CharField(max_length=10000)),
            ],
        ),
        migrations.CreateModel(
            name='Wydarzenia',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('wydarzenie', models.CharField(max_length=100)),
                ('rok', models.IntegerField()),
                ('przywodca', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='quiz.Przywodcy')),
            ],
        ),
    ]
